package com.jware.apps.scheduler.model;

import java.util.HashMap;
import java.util.Map;

import org.quartz.JobDetail;

/**
 * @author jrmt
 */
public class JobDetailViewHelper {

	private JobDetail jobDetail;
	private Map paramMap = new HashMap();
	
	/**
	 * 
	 */
	public JobDetailViewHelper() {
	}

	public JobDetailViewHelper(JobDetail jobDetail) {
		this.jobDetail = jobDetail;
	}

	/**
	 * @return Returns the jobDetail.
	 */
	public JobDetail getJobDetail() {
		return jobDetail;
	}
	/**
	 * @param jobDetail The jobDetail to set.
	 */
	public void setJobDetail(JobDetail jobDetail) {
		this.jobDetail = jobDetail;
	}
	
	/**
	 * @return Returns the paramMap.
	 */
	public Map getParamMap() {
		return paramMap;
	}
	/**
	 * @param paramMap The paramMap to set.
	 */
	public void setParamMap(Map paramMap) {
		this.paramMap = paramMap;
	}
	
	public String getParamValue( String paramId ){

		String result = null;
		if( paramMap != null ){
			result = (String)paramMap.get( paramId );
		}
		
		return result;
	}

	public void putParamValue( String paramId, String paramValue ){
		
		if( paramMap != null ){
			paramMap.put( paramId, paramValue );
		}
	}
}
